(function () {
	let ui = navigator.userAgent;let app = navigator.appVersion;
	let Android = ui.indexOf('Android') > -1 || ui.indexOf('Linux') > -1; //g
	let IOS = !!ui.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/);
    window.uploadPhoto = (param,cb) => {
        const actionStyle={title:"选择照片",cancel:"取消",buttons:[{title:"拍照"},{title:"相册选取"}]};
        plus.nativeUI.actionSheet(actionStyle, function(e){
            if(e.index==1){
                getImage(param,cb);
            }else if(e.index==2){
                galleryImg(param,cb);
            }
        } );
    }
    function galleryImg(param,cb) {
        let crop = {};
        if(param.IsCrop){
            crop={
                quality:100,
                width: param.width||'200px',
                height:param.height||'200px',
                resize:true,
            }
        }
        plus.gallery.pick(function(p) {
            let url = null;
            if(Android){
                url = p;
            }else if(IOS){
                url = p.files[0];
            }
            plus.io.resolveLocalFileSystemURL(url, function(entry) {
                entry.file((file)=>{
                    let reader = null;
                    reader = new plus.io.FileReader();
                    reader.onload = function(e) {};
                    reader.readAsDataURL(file);
                    reader.onloadend = function(e) {
                        let dataBase = e.target.result;
                        cb({
                            src: dataBase,
                        })
                    }
                });
            }, function(e) {
                plus.nativeUI.toast("读取拍照文件错误：" + e.message);
            });
        }, function(e) {
        }, {
            filename: "_doc/camera/",
            multiple: false,
            system:true,
            crop:crop,
            filter:"image"
        });
    }
    function getImage(param,cb) {
        let crop = {};
        if(param.IsCrop){
            crop={
                quality:100,
                width: param.width||'200px',
                height:param.height||'200px',
                resize:true,
            }
        }
        let cmr = plus.camera.getCamera();
        cmr.captureImage(function(p) {
            plus.io.resolveLocalFileSystemURL(p, function(entry) {
                entry.file((file)=>{
                    let reader = null;
                    reader = new plus.io.FileReader();
                    reader.onload = function(e) {};
                    reader.readAsDataURL(file);
                    reader.onloadend = function(e) {
                        let dataBase = e.target.result;
                        cb({
                            src: dataBase,
                        })
                    }
                });
            }, function(e) {
                plus.nativeUI.toast("读取拍照文件错误：" + e.message);
            });
        }, function(e) {
        }, {
            filename: "_doc/camera/",
            index: 1,
            crop:crop,
        });
    }
})();